package config

import (
	"fusenapi/server/upload/internal/types"

	"github.com/zeromicro/go-zero/rest"
)

type Config struct {
	rest.RestConf
	SourceMysql string
	Auth        types.Auth
	ReplicaId   uint64
	Env         string
	AWS         struct {
		S3 struct {
			Credentials struct {
				AccessKeyID string
				Secret      string
				Token       string
			}
		}
	}
	BLMService struct {
		Version string
		Urls    []string
	}
	AliyunOSS struct {
		Endpoint        string `json:"endpoint"`
		AccessKeyId     string `json:"access_key_id"`
		AccessKeySecret string `json:"access_key_secret"`
		BucketName      string `json:"bucket_name"`
		BucketUrl       string `json:"bucket_url"`
		BasePath        string `json:"base_path"`
	}
}
